# PlatformDependencyModifiers

API Documentation: | `PlatformDependencyModifiers`

Known Subtypes: |
`JvmComponentDependencies`

Note: This class is incubating and may change in a future version of Gradle.

Dependency modifier APIs that can find platform and enforced platforms in other modules for `dependencies` blocks.

### Properties

Property | Description
`enforcedPlatform` | Incubating A dependency modifier that can modify a dependency to select an enforced platform variant.
`platform` | Incubating A dependency modifier that can modify a dependency to select a platform variant.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `EnforcedPlatformDependencyModifier` `enforcedPlatform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A dependency modifier that can modify a dependency to select an enforced platform variant.

#### `PlatformDependencyModifier` `platform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A dependency modifier that can modify a dependency to select a platform variant.